The environment is inconsistent, please check the package plan carefully

All other Source.Python topics and issues.
ErnestTBass
Junior Member
Posts: 13
Joined: Sun Mar 31, 2019 6:37 pm

The environment is inconsistent, please check the package plan carefully

Postby ErnestTBass » Wed Apr 17, 2019 2:03 pm

I ran the command at the top of this post and got the following response. I need help in understanding what
it is telling me.

Code: Select all

conda install nb_conda
Collecting package metadata: done
Solving environment: \
The environment is inconsistent, please check the package plan carefully
The following packages are causing the inconsistency:

  - defaults/linux-64::h5py==2.6.0=np111py27_2
  - defaults/linux-64::scikit-learn==0.17.1=np111py27_2
  - defaults/linux-64::astropy==1.2.1=np111py27_0
  - defaults/linux-64::anaconda==4.2.0=np111py27_0
  - defaults/linux-64::blaze==0.10.1=py27_0
  - defaults/linux-64::conda-build==2.0.2=py27_0
  - defaults/linux-64::scikit-image==0.12.3=np111py27_1
  - defaults/linux-64::pytables==3.2.3.1=np111py27_0
  - defaults/linux-64::statsmodels==0.6.1=np111py27_1
  - defaults/linux-64::numba==0.28.1=np111py27_0
- failed


What does "The environment is inconsistent, please check the package plan carefully" mean?

It seems to be stuck on something to do with Python 2.7. I almost never use Python 2.7, but there must be more to it than that.

Respectfully,

ErnestTBass

Return to “General Discussion”

Who is online

Users browsing this forum: No registered users and 2 guests